Page MenuHomePhabricator

Efl.Canvas.Text: replace 'style' with actual API
Closed, ResolvedPublic

Description

To simplify the usage of Efl.Canvas.Text, the style property will be retired.
Instead, a new set of API will allow the user to set the appropriate settings.
The former 'style' will be split to the following interfaces:
The style format will be split to multiple properties, that will reside in Efl.Text namespace.

woohyun added a subscriber: woohyun.EditedMay 30 2017, 10:16 PM

I think we need to figure out why these three should be separated.
That is, Font, Style, and Format should have clear meaning for each as an interface.

If those are only for "Text" and no way to be used separately,
I also recommend to be unified as one (as Davide Andreoli talked in the mail thread)

efl_text_format_multiline_set => efl_text_multiline_set
efl_text_format_wrap_set => efl_text_wrap_set

I think developers will be happier.

How do you think about this ?

OK, all these will go under Efl.Text namespace.

herdsman updated the task description. (Show Details)Jun 4 2017, 10:47 PM
cedric triaged this task as High priority.Jul 10 2017, 2:21 PM
zmike added a project: efl.Aug 22 2017, 3:36 PM
herdsman closed this task as Resolved.Sep 11 2017, 12:07 AM